.loader {
	position: absolute;
	top: 0;
	left: 0;
	height: 100dvh;
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: var(--background);
	z-index: 80;
  pointer-events: none;
  transition: visibility 1.5s;
}

.loader p {
	font-size: 15vw;
	text-transform: uppercase;
	font-weight: 700;
	color: var(--primary-text);
}

.hero,
.about,
.projects,
.contact {
  height: 100dvh;
  width: 100%;
  display: flex;
  overflow-x: hidden;
}

.hero {
  width: 100%;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.hero .name {
  align-self: center;
  display: inline-block;
  font-size: 22.5rem;
  text-wrap: nowrap;
  white-space: nowrap;
  font-weight: 900;
  line-height: 1.2;
  text-transform: uppercase;
  color: var(--primary-text);
  will-change: transform;
  cursor: default;
}

.baseline {
  position: absolute;
  width: 100%;
  display: flex;
  align-self: self-end;
  align-items: end;
  justify-content: space-between;
  padding: 5px 10px;
  z-index: 5;
}

.loc {
  font-size: 1rem;
  font-weight: 600;
  text-transform: uppercase;
  color: var(--muted-text);
}

.me {
  font-size: 3rem;
  font-weight: 800;
  line-height: 1.2;
  text-transform: uppercase;
  text-align: right;
  color: var(--muted-text);
}

h2 {
  display: flex;
  align-items: center;
  gap: 10px;
  text-transform: uppercase;
  font-size: 3rem;
  font-weight: 700;
  color: var(--muted-text);
}

hr {
  height: 4px;
  width: 100px;
  border: none;
  background-color: var(--border);
}

.about {
  padding: 50px 10px 10px;
  flex-direction: column;
  gap: 40px;
}

h3 {
  font-size: 5rem;
  line-height: 1.2;
  font-weight: 600;
  color: var(--primary-text);
}

span {
  font-size: 1em;
  font-weight: 800;
  color: var(--accent);
}

.about p {
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--muted-text);
}

.container {
  position: relative;
  height: 100%;
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.container h2 {
  align-self: start;
}

.gallery {
  height: 100%;
  width: 50%;
  display: flex;
  padding: 50px 10px 10px;
  background-color: var(--surface);
  scroll-snap-type: x mandatory;
  scrollbar-width: none;
  overflow-x: auto;
}

.track {
  display: flex;
  align-items: center;
  gap: 40px;
}

.work {
  width: 400px;
  border: 1px solid var(--muted-text);
  scroll-snap-align: center;
  font-size: 1.2rem;
  text-transform: uppercase;
  text-align: center;
  color: var(--primary-text);
  background-color: var(--background);
}

img {
  height: 500px;
  width: 100%;
  object-fit: contain;
  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
  user-select: none;
  -webkit-touch-callout: none;
  pointer-events: none;
}

.nav-arrows {
  position: absolute;
	display: flex;
  align-items: center;
  align-self: center;
	gap: 40px;
  bottom: 0;
}

.nav-arrows button {
	font-size: 36px;
  border: none;
	color: white;
	background: none;
	cursor: pointer;
	opacity: 0.5;
}

.nav-arrows button:hover {
	opacity: 1;
}

.info {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.project-btn {
  padding: 5px 20px;
  text-transform: uppercase;
  font-size: 16px;
  border: 1px solid var(--primary-text);
  color: var(--primary-text);
  background-color: var(--background);
  cursor: pointer;
  transition: all 0.2s ease;
}

.project-btn:hover {
  background-color: var(--surface);
}